<?php // Do not delete these lines
/*
Template: WP-Guestbook de
Theme: default_de
Author: Frank Bueltge
Author URI: http://bueltge.de/
Originally by: http://www.WordPress.org, deutsche Fassung: http://www.wordpress.de
*/
?>

<?php
	if ('guestbook.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Bitte diese Seite nicht direkt aufrufen. Danke!');

        if (!empty($post->post_password)) { // if there's a password
            if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
				?>
				
				<p class="nocomments">Auch die Kommentare sind durch das Passwort gesch&uuml;tzt.<p>
				
				<?php
				return;
            }
        }

		/* This variable is for alternating comment background */
		$oddcomment = 'alt';
?>

<!-- Start Entry Guestbook-->     

<?php if ('open' == $post->comment_status) : ?>

<h3 id="respond">Eintrag schreiben</h3>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>Du mu&szlig;t <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>">angemeldet</a> sein, um schreiben zu k&ouml;nnen.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Angemeldet als: <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="von diesem Account abmelden">Abmelden &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" />
<label for="author"><small>Name <?php if ($req) echo "(erforderlich)"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" />
<label for="email"><small>eMail <?php if ($req) echo "(erforderlich)"; ?> (wird nicht ver&ouml;ffentlicht)</small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" />
<label for="url"><small>Webseite</small></label></p>

<?php endif; ?>

<!-- XHTML-Tags for Visitors -->
<!-- <p><small><strong>XHTML:</strong> You can use these tags: <?php echo allowed_tags(); ?></small></p> -->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="Eintragen" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
<!-- End Entry Guestbook -->

<?php if ($comments) : ?>
	<h3 id="comments"><?php comments_number('Keine Eintr&auml;ge', 'Ein Eintrag', '% Eintr&auml;ge' );?> im &#8220;<?php the_title(); ?>&#8221;</h3> 
	<?php $comment_number=1; ?>
	
	<ul class="commentlist">

	<?php foreach ($comments as $comment) : ?>

		<li class="<?php echo $oddcomment; ?>" id="comment-<?php comment_ID() ?>">
			
			<!-- Commentnumber with class -->
			<!-- <div class="comment-number"><?php echo $comment_number; /* Gibt eine laufende Nummer aus */ ?></div> -->
			
			<cite><?php comment_author_link() ?></cite>
			<?php if ($comment->comment_approved == '0') : ?>
			<?php endif; ?>
			<br />
			<small class="commentmetadata"><a href="#comment-<?php comment_ID() ?>" title="#comment-<?php comment_ID() ?>">Am <?php comment_date('j. F Y') ?> um <?php comment_time('H:i') ?> Uhr</a> <?php edit_comment_link('Bearbeiten','<strong>&#124; </strong>',''); ?></small>
			<?php comment_text() ?>
		</li>

	<?php /* Changes every other comment to a different class */	
		if ('alt' == $oddcomment) $oddcomment = '';
		else $oddcomment = 'alt';
	?>
	<?php $comment_number++; ?>
	<?php endforeach; /* end for each comment */ ?>

	</ul>

 <?php else : // this is displayed if there are no comments so far ?>

  <?php if ('open' == $post->comment_status) : ?> 
		<!-- If comments are open, but there are no comments. -->
		
	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">G&auml;stebuchfunktion ist deaktiviert</p>
		
	<?php endif; ?>
<?php endif; ?>



