<?php
/*
Template Name: WP-Guestbook Page
Theme: default
Basis: page.php
Author: Frank Bueltge
Author URI: http://bueltge.de/
*/
?>

<?php get_header(); ?>

  <div id="content" class="narrowcolumn">

    <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <div class="post" id="post-<?php the_ID(); ?>">
    <h2><?php the_title(); ?></h2>
      <div class="entrytext">
        <?php the_content('<p class="serif">Read the rest of this page &raquo;</p>'); ?>
        <?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>
        <?php if (function_exists('paged_guestbookcomments_template')) paged_guestbookcomments_template(); 
              else 
              if (function_exists('guestbook_template')) guestbook_template(); else 
              comments_template(); 
        ?>  
      </div>
    </div>
    <?php endwhile; endif; ?>
  <?php edit_post_link('Edit this entry.', '<p>', '</p>'); ?>
  </div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>